package de.hft.stuttgart.citydoctor2.gui;

import java.util.LinkedHashSet;
import java.util.Set;

public class ViewRegistration {
	
	private static Set<View> registeredViews = new LinkedHashSet<>();
	private static View currentActiveView;
	
	private ViewRegistration() {
		// only static use
	}
	
	public static void registerView(View v) {
		registeredViews.add(v);
	}
	
	public static Set<View> getRegisteredViews() {
		return registeredViews;
	}

	static void setCurrentActiveView(View v) {
		currentActiveView = v;
	}
	
	public static View getCurrentActiveView() {
		return currentActiveView;
	}

}
